diff -Naur fbpdf-20220624_6276360/README fbpdf-20220624_6276360.patched/README
--- fbpdf-20220624_6276360/README	2023-01-17 03:30:48.000000000 -0500
+++ fbpdf-20220624_6276360.patched/README	2023-01-17 14:37:43.861749405 -0500
@@ -21,7 +21,9 @@
 G		go to page (the last page if no prefix)
 o		set page number (for 'G' command only)
 O		set page number and go to current page
-z		zoom; prefix multiplied by 10 (i.e. '15z' = 150%)
+z/=	zoom; prefix multiplied by 10 (i.e. '15z' = 150%)
++		increase zoom by 10%
+-		decrease zoom by 10%
 r		set rotation in degrees
 i		print some information
 I		invert colors
diff -Naur fbpdf-20220624_6276360/fbpdf.1 fbpdf-20220624_6276360.patched/fbpdf.1
--- fbpdf-20220624_6276360/fbpdf.1	2023-01-17 03:30:48.000000000 -0500
+++ fbpdf-20220624_6276360.patched/fbpdf.1	2023-01-17 14:43:46.755764548 -0500
@@ -1,4 +1,4 @@
-.TH FBPDF 1 "JUNE 2022"
+.TH "fbpdf" 1       "2023\-01\-17" ""     "SlackBuilds.org"
 .SH NAME
 fbpdf \- framebuffer PDF viewer
 .SH SYNOPSIS
@@ -110,6 +110,9 @@
 .B <prefix>z
 Zoom by a multiple of ten in percentage (i.e. '15z' = 150%)
 .TP
+.B <prefix>=
+Same as z
+.TP
 .B <prefix>Z
 Set the default zoom level for 'z' command
 .TP
@@ -140,6 +143,13 @@
 .B ^l
 Redraw screen
 .TP
+.B +
+Increase zoom by 10%
+.TP
+.TP
+.B \-
+Decrease zoom by 10%
+.TP
 .B q
 Quit program
 .SH AUTHOR
diff -Naur fbpdf-20220624_6276360/fbpdf.c fbpdf-20220624_6276360.patched/fbpdf.c
--- fbpdf-20220624_6276360/fbpdf.c	2023-01-17 03:30:48.000000000 -0500
+++ fbpdf-20220624_6276360.patched/fbpdf.c	2023-01-17 14:39:18.695321315 -0500
@@ -270,6 +270,7 @@
 				srow = prow;
 			break;
 		case 'z':
+		case '=':
 			count *= 10;
 			zoom_page(getcount(zoom_def));
 			break;
@@ -320,10 +321,20 @@
 		case ' ':
 		case CTRLKEY('d'):
 			srow += srows * getcount(1) - step;
+			if(srow >= (prow + prows)) {
+				srow = 0;
+				loadpage(num + 1);
+				srow = prow;
+			}
 			break;
 		case 127:
 		case CTRLKEY('u'):
 			srow -= srows * getcount(1) - step;
+			if(srow <= 0) {
+				srow = prows - step;
+				loadpage(num - 1);
+				srow = prow;
+			}
 			break;
 		case '[':
 			scol = pcol;
@@ -343,6 +354,15 @@
 			invert = !invert;
 			loadpage(num);
 			break;
+		case '+':
+			count = 0;
+			zoom_page(zoom + 1);
+			break;
+		case '-':
+			count = 0;
+			if(zoom > 0) zoom_page(zoom - 1);
+			break;
+
 		default:	/* no need to redraw */
 			continue;
 		}
